<template>
  <div class="flex-grow max-w-full w-full p-2" :class="colClass">
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'appCol',
  props: {
    cols: {
      type: [Number, String],
      default: null,
    },
  },
  computed: {
    colClass() {
      if (parseInt(this.cols || -1) === 6) {
        return 'app-col-6';
      } else return 'app-col';
    },
  },
};
</script>

<style>
.app-col-6 {
  flex: 0 0 49.9999%;
  max-width: 49.9999%;
}
.app-col {
  flex-basis: 0;
}
</style>
